Summary:	ACME the Versatile Keyboard daemon
Summary(de):	Der vielseitige Keyboard-Daemon
Name:           acme
Version:        2.4.3
Release:        %mkrel 1
Group:          Graphical desktop/GNOME 
License:	GPL
URL:            http://devin.com/acme/
Source0:        http://devin.com/acme/download/%{name}-%{version}.tar.xz
Patch0:		acme-2.4.2-iconpath.patch.bz2
Patch1:		acme-2.4.2-location.patch.bz2
Patch2:		acme-2.4.3-libwnck.patch.bz2
Patch3:		acme-2.4.3-newegg.patch.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  libgnomeui2-devel
BuildRequires:  libglade2.0-devel
BuildRequires:	libalsa-devel
BuildRequires:  libwnck-devel >= 2.1.5
BuildRequires:  perl(XML::Parser)

%description
ACME is a small GNOME tool to make use of the multimedia buttons present on
most laptops and internet keyboards: Volume, Brightness, Power, Eject, My Home,
Search, E-Mail, Sleep, Screensaver, Finance and Help buttons.

%description -l de
ACME ist ein kleines GNOME-Werkzeug, für die Nutzung der Multimedia-Tasten, 
die auf den meisten Laptops und Internet-Tastaturen vorhanden sind: Lautstärke, 
Helligkeit, Power, Eject, My Home,Suche, E-Mail, Sleep, Screensaver, Finanz- 
und Hilfe-Tasten. 

%prep
%setup -q
%patch0 -p1 -b .iconpath
%patch1 -p1 -b .location
%patch2 -p1 -b .libwnck
%patch3 -p1 -b .newegg

%build

%configure2_5x

make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%{find_lang} %{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Multimedia Keys
Name[de]=Multimedia Tasten
Comment=Configure multimedia keys behaviour
Comment[de]=Konfigurieren von Multimedia-Tasten 
Exec=%{_bindir}/acme-properties
Icon=/usr/share/acme/acme-48.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Configuration
EOF

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/acme.schemas > /dev/null
%{update_menus}

%preun
if [ "$1" = "0" ]; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/acme.schemas > /dev/null
fi

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/acme
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/applications/mandriva-%{name}.desktop

%changelog
* Thu Feb 09 2012 Neal <nealbrks0 at gmail dot com> 2.5.3-1pclos2012
- build for 64bit

* Thu Sep 23 2010 leiche <meisssw01 at aol.com> 2.5.3-10pclos2010
- rebuild
- add german synaptic description

* Sat Dec 08 2007 Texstar <texstar@gmail.com> 2.5.3-9pclos2007
- rebuild against updated libwnck

* Wed Nov 08 2006 Neverstopdreaming <neverstopdreaming@gmail.com> 2.4.3-8pclos2007
- Build for PCLinuxOS 2007

